Module javafx.graphics
Package javafx.css

# Enum Class StyleOrigin

java.lang.Object
java.lang.Enum<StyleOrigin>
javafx.css.StyleOrigin

All Implemented Interfaces:
  `Serializable`, `Comparable<StyleOrigin>`, `Constable`

public enum StyleOrigin extends Enum<StyleOrigin>
Enumeration of the possible source or origin of a stylesheet and styles.

Since:
  JavaFX 8.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTHOR`
The stylesheet is an external file
`INLINE`
The style is from the Node via setStyle
`USER`
The value of a property was set by the user through a call to a set method
`USER_AGENT`
The stylesheet is a user-agent stylesheet

## Method Summary

Modifier and Type
Method
Description
`static StyleOrigin`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StyleOrigin[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### USER_AGENT

public static final StyleOrigin USER_AGENT
The stylesheet is a user-agent stylesheet

### USER

public static final StyleOrigin USER
The value of a property was set by the user through a call to a set method

### AUTHOR

public static final StyleOrigin AUTHOR
The stylesheet is an external file

### INLINE

public static final StyleOrigin INLINE
The style is from the Node via setStyle

## Method Details

### values

public static StyleOrigin[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StyleOrigin valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null